ProtoCore v1.0.16
Deterministic, zero-heap network stack for embedded targets
Loading...
Searching...
No Matches
md.h File Reference

MD4 (RFC 1320), MD5 (RFC 1321), and HMAC-MD5 (RFC 2104) - the legacy digests NTLM needs. More...

#include "protocore_config.h"

Go to the source code of this file.

Detailed Description

MD4 (RFC 1320), MD5 (RFC 1321), and HMAC-MD5 (RFC 2104) - the legacy digests NTLM needs.

The shared library home for the MD-family digests. The only consumer is the SMB2 client's NTLMv2 (MS-NLMP): the NT hash is MD4(UTF-16LE(password)); the NTLMv2 response and session key are HMAC-MD5 chains. MD4/MD5 are cryptographically broken and are included ONLY because SMB/NTLM requires them on the wire - do not use them for anything security-new. Zero heap, streaming; verified against the RFC test vectors (see test_smb_crypto).

Author
Douglas Quigg (dstroy0)
Date
2026

Definition in file md.h.